%define		gittag		b3cb224
%define		major		1
%define		libname		%mklibname opencolorio %{major}
%define		develname	%mklibname opencolorio -d

Name:		opencolorio
Version:	1.0.9
Release:	%mkrel 2
Summary:	A complete color management solution
Group:		System/Libraries
License:	BSD
URL:		http://opencolorio.org/
Source0:	https://github.com/imageworks/OpenColorIO/archive/OpenColorIO-%{version}.tar.xz
Patch0:		opencolorio-1.0.9-git-Add-support-for-yaml-cpp-0.5.1.patch
Patch1:		opencolorio-1.0.9-git-OCIOYaml-Fixed-dereference-of-temporary-with-yaml-cpp-0.5.x.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	glut-devel
BuildRequires:  libyaml-cpp-devel
BuildRequires:	libxmu-devel
BuildRequires:	libtinyxml-devel
BuildRequires:	liblcms2-devel
BuildRequires:	libglew-devel
  
%description
OpenColorIO (OCIO) is a complete color management solution geared towards
motion picture production with an emphasis on visual effects and computer
animation. OCIO provides a straightforward and consistent user experience
across all supporting applications while allowing for sophisticated
back-end configuration options suitable for high-end production usage.
OCIO is compatible with the Academy Color Encoding Specification (ACES)
and is LUT-format agnostic, supporting many popular formats.

%package -n %{libname}
Summary:	A complete color management solution
Group:		System/Libraries
Obsoletes:	%{_lib}OpenColorIO1
Provides:   %{_lib}OpenColorIO1 = %version-%release

%description -n %{libname}
A complete color management solution.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}OpenColorIO-devel
Provides:   %{_lib}OpenColorIO-devel = %version-%release

%description -n %{develname}
Development files for %{name} library.

%prep
%setup -qn OpenColorIO-%{version}
%apply_patches

%build
%cmake \
	-DOCIO_BUILD_STATIC:BOOL=OFF \
	-DOCIO_BUILD_APPS:BOOL=OFF \
	-DUSE_EXTERNAL_YAML:BOOL=ON \
	-DUSE_EXTERNAL_TINYXML:BOOL=ON \
	-DUSE_EXTERNAL_LCMS:BOOL=ON \
%ifnarch x86_64
	-DOCIO_USE_SSE:BOOL=OFF \
%endif
	-DOCIO_BUILD_PYGLUE:BOOL=OFF
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files
%{_datadir}/ocio/

%files -n %{libname}
%{_libdir}/libOpenColorIO.so.%{major}
%{_libdir}/libOpenColorIO.so.%{major}.*

%files -n %{develname}
%{_libdir}/libOpenColorIO.so
%{_libdir}/pkgconfig/OpenColorIO.pc
%{_includedir}/OpenColorIO/


%changelog
* Thu Jul 05 2018 adrianomorselli <adrianomorselli> 1.0.9-2uplos2018
- rebuild for 2018
